﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Search_By_Date_Time
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        SqlConnection con = new SqlConnection("Data Source=.;Initial Catalog=DB1;Integrated Security=True");
        private void button1_Click(object sender, EventArgs e)
        {
            string q = "insert into tbltest (Name,Family,Date_Of_Birth,Time_Of_Birth) VALUES (@Name,@Family,@Date_Of_Birth,@Time_Of_Birt)";
            SqlCommand cmd = new SqlCommand(q, con);
            cmd.Parameters.AddWithValue("@Name", txtName.Text);
            cmd.Parameters.AddWithValue("@Family", txtFamily.Text);
            cmd.Parameters.AddWithValue("@Date_Of_Birth", txtDateOfBirth.Text);
            cmd.Parameters.AddWithValue("@Time_Of_Birt", dtpTimeOfBirth.Value.ToLongTimeString());
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SqlCommand cmd = new SqlCommand();
            cmd.CommandText = "select * from tbltest where Date_Of_Birth=@Date_Of_Birth";
            cmd.Parameters.Add("@Date_Of_Birth", SqlDbType.NVarChar).Value = txtDate.Text;
            cmd.Connection = con;
            SqlDataAdapter da = new SqlDataAdapter(cmd );
            DataTable dt = new DataTable();
            da.Fill(dt );
            dataGridView1.DataSource = dt;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            SqlCommand cmd = new SqlCommand();
            cmd.CommandText = "select * from tbltest where Time_Of_Birth=@Time_Of_Birth";
            cmd.Parameters.Add("@Time_Of_Birth", SqlDbType.NVarChar).Value = dtpTime.Value.ToLongTimeString() ;
            cmd.Connection = con;
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dataGridView1.DataSource = dt;
        }

        private void button4_Click(object sender, EventArgs e)
        {

            SqlCommand cmd = new SqlCommand();
            cmd.CommandText = "select * from tbltest where Date_Of_Birth BETWEEN @date1 and @date2";
            cmd.Parameters.Add("@date1", SqlDbType.NVarChar).Value = txtFromDate.Text;
            cmd.Parameters.Add("@date2", SqlDbType.NVarChar).Value = txtToDate.Text;
            cmd.Connection = con;
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dataGridView1.DataSource = dt;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            SqlCommand cmd = new SqlCommand();
            cmd.CommandText = "select * from tbltest where Time_Of_Birth BETWEEN @time1 and @time2";
            cmd.Parameters.Add("@time1", SqlDbType.NVarChar).Value = dtpFromTime.Value.ToLongTimeString();
            cmd.Parameters.Add("@time2", SqlDbType.NVarChar).Value = dtpToTime.Value.ToLongTimeString();
            cmd.Connection = con;
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dataGridView1.DataSource = dt;
        }
    }
}
